import type { ThemeInput } from 'shiki';
import manifest from '../vendor/shiki/manifest.json';
export type AvailableTheme = keyof typeof manifest.themes;
export declare const Themes: Record<string, "github-dark" | "andromeeda" | "aurora-x" | "ayu-dark" | "catppuccin-frappe" | "catppuccin-latte" | "catppuccin-macchiato" | "catppuccin-mocha" | "dark-plus" | "dracula-soft" | "dracula" | "everforest-dark" | "everforest-light" | "github-dark-default" | "github-dark-dimmed" | "github-dark-high-contrast" | "github-light-default" | "github-light-high-contrast" | "github-light" | "houston" | "kanagawa-dragon" | "kanagawa-lotus" | "kanagawa-wave" | "laserwave" | "light-plus" | "material-theme-darker" | "material-theme-lighter" | "material-theme-ocean" | "material-theme-palenight" | "material-theme" | "min-dark" | "min-light" | "monokai" | "night-owl" | "nord" | "one-dark-pro" | "one-light" | "plastic" | "poimandres" | "red" | "rose-pine-dawn" | "rose-pine-moon" | "rose-pine" | "slack-dark" | "slack-ochin" | "snazzy-light" | "solarized-dark" | "solarized-light" | "synthwave-84" | "tokyo-night" | "vesper" | "vitesse-black" | "vitesse-dark" | "vitesse-light">;
export declare function getTheme(themeName: AvailableTheme): Promise<ThemeInput>;
//# sourceMappingURL=themes.d.ts.map